package de.mpg.mpimet.yacgui.ui.dialog.tabpanel;

import javax.swing.text.BadLocationException;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

import javax.swing.text.AttributeSet;
import javax.swing.text.DocumentFilter;

/**
 * Copyright (c) 2013 Max-Planck-Institute for Meteorology, Hamburg.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 *   - Redistributions of source code must retain the above copyright
 *     notice, this list of conditions and the following disclaimer.
 *
 *   - Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *
 *   - Neither the name of Oracle or the names of its
 *     contributors may be used to endorse or promote products derived
 *     from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
 * IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 * NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

public class TimelagInputfilter extends DocumentFilter {

	  private Pattern pattern;
	  private String  newStr;

	    public TimelagInputfilter(String pat) {
	        pattern = Pattern.compile(pat);
	    }
	    
	    
	    /**
	     * can not enter "-" as the first digit or before an existing number value 
	     * but in the middle or as a part of non-digit sting is allowed
		 * @param fb FilterBypass
		 * @param offset the offset into the document to insert the content gt 0
		 * @param string the string to insert
		 * @param attr the attributes to associate with the inserted content 
		 */
	    public void insertString(FilterBypass fb, int offset, String string, AttributeSet attr)
	            throws BadLocationException {
	    	if(offset == 0)
	    		newStr = string + fb.getDocument().getText(0, fb.getDocument().getLength());
	    	else
	    		newStr = fb.getDocument().getText(0, fb.getDocument().getLength()) + string;
	    	
	        Matcher m = pattern.matcher(newStr);
	        if(m.matches())
	        {
		        replace(fb,offset,fb.getDocument().getLength(),null,attr);
	        }
	        else {
	        	super.insertString(fb, offset, string, attr); 
	        }
	    }

	    public void replace(FilterBypass fb, int offset,
	                        int length, String string, AttributeSet attr) throws
	            BadLocationException {

	        if(length > 0) fb.remove(offset, length);
	        insertString(fb, offset, string, attr);
	    }
}